View Issue Details

IDProjectCategoryView StatusLast Update
0016044LazarusLCLpublic2011-05-19 15:19
Reporterwovan.buggerAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformwin32 / win 64OSwindowsOS Versionwindows 7
Product VersionProduct Build0.9.29 - 23820 
Target Version1.0.0Fixed in Version0.9.31 (SVN) 
Summary0016044: TToolbar Issue
DescriptionI have ToolBar with ToolButton and PopupMenu with MenuItem with assigned onclick event. I set the MenuItem to the ToolButton's MenuItem property.
So under Win32, when i click the Toolbutton, no menuitem's onclick event fires up. no matter if it's an action assigned to.
I tested under w.s. GTK2 and it works properly. So it seems there is a bug ws win32's.

I use:
FPC 2.5.1
Laz 0.9.29, SVN 23820
on win 7 under w.s. win32/win64
Steps To Reproducecompile under ws win32/win64
Additional InformationI attached the source showing thah issue
TagsNo tags attached.
Fixed in Revision29833
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

has duplicate 0016045 closed FPC TToolbar Issue 

Activities

2010-03-19 12:56

 

Toolbar_BUG.7z (60,356 bytes)

Maxim Ganetsky

2010-11-20 00:20

developer   ~0043287

Appears to be fixed in the meantime.

Please test and close if ok.

wovan.bugger

2011-02-16 21:34

reporter   ~0046096

The solution doesn't work for me. Added menu items still do not fire assigned events.

Tested on Lazarus 0.9.29-29572

Maxim Ganetsky

2011-02-17 01:40

developer   ~0046106

Now I see it. In attached test project 'Try me first' -> 'Click me' doesn't produce an event while it is supposed to. All other cases work, though.

Paul Ishenin

2011-03-14 07:55

manager   ~0046604

Please test and close if ok.

wovan.bugger

2011-05-19 15:19

reporter   ~0048417

seems to work now!!! thank you guys.

Issue History

Date Modified Username Field Change
2010-03-19 12:56 wovan.bugger New Issue
2010-03-19 12:56 wovan.bugger File Added: Toolbar_BUG.7z
2010-03-19 13:59 Marco van de Voort Project FPC => Lazarus
2010-03-19 13:59 Marco van de Voort Relationship added has duplicate 0016045
2010-10-28 16:04 Vincent Snijders LazTarget => -
2010-10-28 16:04 Vincent Snijders Category Packages => LCL
2010-10-28 16:04 Vincent Snijders Product Version 2.5.1 =>
2010-10-28 16:05 Vincent Snijders Widgetset => Win32/Win64
2010-10-28 16:05 Vincent Snijders LazTarget - => 1.0
2010-10-28 16:05 Vincent Snijders Status new => acknowledged
2010-10-28 16:05 Vincent Snijders Target Version => 1.0.0
2010-11-20 00:20 Maxim Ganetsky Status acknowledged => resolved
2010-11-20 00:20 Maxim Ganetsky Fixed in Version => 0.9.29 (SVN)
2010-11-20 00:20 Maxim Ganetsky Resolution open => fixed
2010-11-20 00:20 Maxim Ganetsky Assigned To => Maxim Ganetsky
2010-11-20 00:20 Maxim Ganetsky Note Added: 0043287
2011-02-16 21:34 wovan.bugger Status resolved => assigned
2011-02-16 21:34 wovan.bugger Resolution fixed => reopened
2011-02-16 21:34 wovan.bugger Note Added: 0046096
2011-02-17 01:40 Maxim Ganetsky Note Added: 0046106
2011-02-17 01:40 Maxim Ganetsky Status assigned => acknowledged
2011-02-17 01:40 Maxim Ganetsky Assigned To Maxim Ganetsky =>
2011-03-14 07:55 Paul Ishenin Fixed in Revision => 29833
2011-03-14 07:55 Paul Ishenin Status acknowledged => resolved
2011-03-14 07:55 Paul Ishenin Fixed in Version 0.9.29 (SVN) => 0.9.31 (SVN)
2011-03-14 07:55 Paul Ishenin Resolution reopened => fixed
2011-03-14 07:55 Paul Ishenin Assigned To => Paul Ishenin
2011-03-14 07:55 Paul Ishenin Note Added: 0046604
2011-05-19 15:19 wovan.bugger Note Added: 0048417